/** @format */
/*
--- Завдання 3
- Умова:
Напишіть програму, яка знаходить всі прості числа від 2 до заданого користувачем числа. 
Користувач має ввести число, а програма повинна вивести всі прості числа, 
що не перевищують введене користувачем число.

Простим називається число, яке ділиться націло тільки на 1 і на себе.

- Приклад:
Введіть число: 20

Прості числа, що не перевищують 20: 2, 3, 5, 7, 11, 13, 17, 19
*/

const str = prompt("Введіть число:");

for (let num = 2; num <= str; num++) {
  let isNum = true;
  for (let i = 2; i <= Math.sqrt(num); i++) {
    if (num % 2 === 0) {
      // console.log(num);
      isNum = false;
      break;
    }
  }
  if (isNum) {
    console.log(num);
  }
}
